Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.reporters
Class ResultSaver

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.reporters.ResultSaver

All Implemented Interfaces:
  Cloneable, SampleListener, Serializable, TestElement

public class ResultSaver
extends AbstractTestElement
implements Serializable, SampleListener

Save Result responseData to a set of files This is mainly intended for validation tests

See Also:
  Serialized Form

Field Summary
`static String` | `ERRORS_ONLY`
`static String` | `FILENAME`
`static String` | `SKIP_AUTO_NUMBER`
`static String` | `SKIP_SUFFIX`
`static String` | `SUCCESS_ONLY`
`static String` | `VARIABLE_NAME`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`ResultSaver()`
`ResultSaver(String name)`

Method Summary
`void` | `clear()` Clear the TestElement of all data.
`void` | `sampleOccurred(SampleEvent e)` Saves the sample result (and any sub results) in files
`void` | `sampleStarted(SampleEvent e)` A sample has started.
`void` | `sampleStopped(SampleEvent e)` A sample has stopped.

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILENAME

    public static final String FILENAME

See Also:
  Constant Field Values

### VARIABLE_NAME

    public static final String VARIABLE_NAME

See Also:
  Constant Field Values

### ERRORS_ONLY

    public static final String ERRORS_ONLY

See Also:
  Constant Field Values

### SUCCESS_ONLY

    public static final String SUCCESS_ONLY

See Also:
  Constant Field Values

### SKIP_AUTO_NUMBER

    public static final String SKIP_AUTO_NUMBER

See Also:
  Constant Field Values

### SKIP_SUFFIX

    public static final String SKIP_SUFFIX

See Also:
  Constant Field Values

Constructor Detail

### ResultSaver

    public ResultSaver()

### ResultSaver

    public ResultSaver(String name)

Method Detail

### clear

    public void clear()

  Description copied from interface: `TestElement`
  Clear the TestElement of all data.

  Specified by:
    `clear` in interface `TestElement`
  Overrides:
    `clear` in class `AbstractTestElement`

### sampleOccurred

    public void sampleOccurred(SampleEvent e)

  Saves the sample result (and any sub results) in files

  Specified by:
    `sampleOccurred` in interface `SampleListener`
  See Also:
    `SampleListener.sampleOccurred(org.apache.jmeter.samplers.SampleEvent)`

### sampleStarted

    public void sampleStarted(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has started.

  Specified by:
    `sampleStarted` in interface `SampleListener`

### sampleStopped

    public void sampleStopped(SampleEvent e)

  Description copied from interface: `SampleListener`
  A sample has stopped.

  Specified by:
    `sampleStopped` in interface `SampleListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.